summaryrefslogtreecommitdiffstats
path: root/build_tools/archiso-19/mythvantage/backup_copy/airootfs/root/linhes_install/startx
diff options
context:
space:
mode:
Diffstat (limited to 'build_tools/archiso-19/mythvantage/backup_copy/airootfs/root/linhes_install/startx')
-rwxr-xr-xbuild_tools/archiso-19/mythvantage/backup_copy/airootfs/root/linhes_install/startx35
1 files changed, 35 insertions, 0 deletions
diff --git a/build_tools/archiso-19/mythvantage/backup_copy/airootfs/root/linhes_install/startx b/build_tools/archiso-19/mythvantage/backup_copy/airootfs/root/linhes_install/startx
new file mode 100755
index 0000000..6503bf7
--- /dev/null
+++ b/build_tools/archiso-19/mythvantage/backup_copy/airootfs/root/linhes_install/startx
@@ -0,0 +1,35 @@
+#!/bin/bash
+. /etc/profile
+
+export USER=root
+export HOME=/root
+
+CMDLINE=$(cat /proc/cmdline)
+TEMPVAR=${CMDLINE#*ip=}
+IP=${TEMPVAR%% *}
+echo $CMDLINE |grep -q vnc
+USEVNC=$?
+
+if [ x$USEVNC = x1 ]
+then
+ RUNP=1 $MV_ROOT/bin/xconfig.sh 2>/dev/null
+ startx /root/linhes_install/LinHES-install.sh -- -logverbose 6 -allowMouseOpenFail 2>/tmp/x.log
+else
+ #VNC
+ pacman -S --force --noconfirm tigervnc
+ systemctl start dbus
+ cp -f $TEMPLATES/vnc.service /etc/avahi/services/
+ systemctl start avahi-daemon
+ cd /root
+ mkdir .vnc
+ echo 54321 |vncpasswd -f > /root/.vnc/passwd
+ chmod 500 /root/.vnc/passwd
+ rm -f /root/.vnc/xstartup 2>/dev/null
+ ln -s /root/linhes_install/LinHES-install.sh /root/.vnc/xstartup
+ vncserver
+ echo "The VNC server password is: 54321"
+ echo "Please connect to one of these ip's"
+ echo "-------------------------------------------"
+ ip addr show |grep "inet" |grep -v inet6|cut -d\/ -f1
+ echo "-------------------------------------------"
+fi